Raspberry Pi OS Bullseye 安装 Docker 失败

Tony 133.5m2022-03-25298 次点击
设备为树莓派 4B Rev 1.2,系统为最新的官方系统(bullseye arm64)。
按照官方教程安装 docker-ce 失败,安装旧版仍会出现相同的错误。
![f940ca22b16d2f28b0241e22a5cfe60f.jpg](https://ppmm.org/images/2022/03/25/f940ca22b16d2f28b0241e22a5cfe60f.jpg)
收藏 ♥ 感谢
Tony 133.5m 2022-03-26 
之前用官方 buster 系统还能装的...
MrTsui 8.15m 2022-04-02  ♥ 1
树莓派需要安装docker-engine,对docker-ce不适配,或者使用 sudo curl -sSL https://get.docker.com | sh 脚本命令安装。请参考https://shumeipai.nxez.com/2019/05/20/how-to-install-docker-on-your-raspberry-pi.html
Tony 133.5m 2022-04-03 
@MrTsui docker-engine 已经被 docker-ce 代替了
MrTsui 8.15m 2022-04-07 
@Tony 哈哈哈,那是我记反了
Tony 133.5m 2022-04-07 
@MrTsui 可能是 Linux 内核的问题,更新了一下内核,本来能用 Docker 的都用不了了
BlackC 17.45m 2022-04-25 
有办法解决吗
Tony 133.5m 2022-04-25 
@BlackC 我目前使用 podman 来代替 docker,实际体验没有多少差别。

登录注册 后可回复。